Subject: [EAI] POLL: Is the new text in Abstract section in RFC5335bis good to replace the original?

From: Joseph Yee <[email-masked]>
Date: Fri, 18 Feb 2011 00:56:33 -0500

POLL: Is the new text in Abstract section in RFC5335bis good to replace the original?

Please reply to this thread, poll will close at Feb 23, 23:59 Pacific Time. (Poll also logged at issue tracker http://trac.tools.ietf.org/wg/eai/trac/ticket/8)

--------
new text

Abstract

Internet mail was originally limited to 7-bit ASCII. Recent enhancements support Unicode's UTF-8 encoding in portions of a message. Full internationalization of electronic mail requires additional enhancement, including support for UTF-8 in user-oriented header fields, such as in the To, From, and Subject fields. This document specifies an enhancement to Internet mail that permits native UTF-8 support in the header and body of a message.

--------
original text

Abstract

Full internationalization of electronic mail requires not only the capabilities to transmit non-ASCII content, to encode selected information in specific header fields, and to use non-ASCII characters in envelope addresses. It also requires being able to express those addresses and the information based on them in mail header fields. This document specifies a variant of Internet mail that permits the use of Unicode encoded in UTF-8, rather than ASCII, as the base form for Internet email header field. This form is permitted in transmission only if authorized by an SMTP extension, as specified in an associated specification. This specification updates Section 6.4 of [RFC2045] to conform with the requirements.

---

From: [email-masked]
Date: Fri, 18 Feb 2011 11:11:09 -0800 (PST)

> POLL: Is the new text in Abstract section in RFC5335bis good to replace the

The new text is somewhat improved, but still needs work. In particular, see
the last sentence

  This document specifies an enhancement to Internet mail that
  permits native UTF-8 support in the header and body of a message.

First of all, this says nothing about extending envelope fields - a HUGE
omission. Second, use of the term "body" here is incorrect. This proposal does
not provide a general mechanism to put UTF-8 in bodies. MIME does that. Rather,
what this proposal does is allow use of UTF-8 in headers (both message and
MIME) and envelope address fields. So the sentence needs to be something
like:

  This document specifies an enhancement to Internet mail that
  permits native UTF-8 support in envlope address, message header and
  MIME header fields.

				Ned

---

From: Dave CROCKER <[email-masked]>
Date: Fri, 18 Feb 2011 12:41:10 -0800

>    permits native UTF-8 support in envlope address, message header and

+1

d/

-- 

   Dave Crocker
   Brandenburg InternetWorking
   bbiw.net

---

From: Peter Saint-Andre <[email-masked]>
Date: Fri, 18 Feb 2011 16:09:31 -0700

>>    permits native UTF-8 support in envlope address, message header and

Agreed, that's better.

Peter

-- 
Peter Saint-Andre
https://stpeter.im/

---

From: Claudio Allocchio <[email-masked]>
Date: Sun, 20 Feb 2011 19:03:42 +0100 (CET)

On Fri, 18 Feb 2011, [email-masked] wrote:

> omission.

true!

> Second, use of the term "body" here is incorrect. This proposal does

+1

> 				Ned
> _______________________________________________
> IMA mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ima
>

------------------------------------------------------------------------------
Claudio Allocchio             G   A   R   R          [email-masked]
                         Senior Technical Officer
tel: +39 040 3758523      Italian Academic and       G=Claudio; S=Allocchio;
fax: +39 040 3758565        Research Network         P=garr; A=garr; C=it;

            PGP Key: http://www.cert.garr.it/PGP/keys.php3#ca